":" //; exec /usr/bin/env node --harmony "$0" "$@";
const standardEntity = require("../standardEntity");
const hapi        = require("../hapi");

module.exports = yargs => yargs.command({
  command: "user",
  desc: "User support",
  builder: yargs => standardEntity("user")(yargs).command({
    command: "removeMany <filter>",
    desc: "Remove by filter",
    handler: hapi((api, {filter}) => api.user.removeMany({query: {filter: JSON.parse(filter)}}))
  }),
  handler() {yargs.showHelp()}
})
